statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Binomial

Contents

- Constructors
- Accessors

Description

The binomial distribution. This is the discrete probability distribution of the number of successes in a sequence of n independent yes/no experiments, each of which yields success with probability p.

Synopsis

- data BinomialDistribution
- binomial :: Int -> Double -> BinomialDistribution
- bdTrials :: BinomialDistribution -> Int
- bdProbability :: BinomialDistribution -> Double

# Documentation

data BinomialDistribution Source

The binomial distribution.

Instances

Eq BinomialDistribution |
Read BinomialDistribution |
Show BinomialDistribution |
Typeable BinomialDistribution |
Variance BinomialDistribution |
MaybeVariance BinomialDistribution |
Mean BinomialDistribution |
MaybeMean BinomialDistribution |
DiscreteDistr BinomialDistribution |
Distribution BinomialDistribution |

# Constructors

binomial Source

Arguments

:: Int | Number of trials.
-> Double | Probability.
-> BinomialDistribution |

Construct binomial distribution. Number of trials must be non-negative and probability must be in [0,1] range

# Accessors

bdTrials :: BinomialDistribution -> Int Source

Number of trials.

bdProbability :: BinomialDistribution -> Double Source

Probability.